Subject: Re: DLL into .a (Metis problem)
From: Tatsuro MATSUOKA <[email-masked]>
To: Paulo Mota <[email-masked]>, [email-masked]
Cc: me <[email-masked]>
Date: Thu, 20 Mar 2008 04:35:33 +0900 (JST)
List-Id: <cygwin.cygwin.com>

Hello

I have an experience to build the Metis from source on cygwin.
It is not so tough work so that you can get everything if you build the METIS libraries by yourself. 

However, the Metis license is NOT compatible to GPL.
Therefore, the octave community have decided not to use the Metis to construct suitesparse libraries. 

So you should be careful to treat the license problem with the Metis.  
Please see.
http://www.nabble.com/Metis-tf4636937.html#a13242937

Regards

Tatsuro

--- Paulo Mota <[email-masked]> wrote:

> Is there a tool to convert a DLL (which has no API Windows calls) into a 
> lib.a or lib.la ?
> If not, then say that I have a lib file named libmetis.a
> To make the executable I  would add the following
> "-L$HOME/<rest of the path> -lmetis"
> If I have WinMetis.dll, would there be an equivalent command?
> 
> Regards,
> Paulo Mota
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--------------------------------------
Easy + Joy + Powerful = Yahoo! Bookmarks x Toolbar
http://pr.mail.yahoo.co.jp/toolbar/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/